> For the complete documentation index, see [llms.txt](https://docs.elimity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elimity.com/reference-manual/v3.41.0/advanced-topics/itsm-integration.md).

# ITSM integration

Elimity Insights allows users to indicate necessary changes in the IAM data, like an AD user that should be deleted. Those change requests are stored by the Elimity Insights server. In addition, you can also integrate with your IT ticketing system by setting up automatic email sending for every new change request.

## Configuring Elimity Insights

By default, the Elimity Insights server does not send out any email when a new change request is created. To enable this feature, set the following configuration option in your `elimity.yml` file:

```yaml
# AccessReviewRequestedChangesEmail
# ----------------------------
#
# Data type: string
#
# Status: Optional
#
# Description: The email address to which notifications should be sent for every change request.
AccessReviewRequestedChangesEmail: example@youritsmsystem.com
```

## Email format

The Elimity Insights server sends out change request emails in a specific format. They all have a subject line of `Elimity / {organisationName}: requested change` or `Elimity / {organisationName}: access review: requested change`; replacing `{organisationName}` with the value you used for the `OrganisationName` configuration option.

Each email only contains a `text/plain` body with the following contents:

```
Source: {sourceName}
{operationInfo}
Change - requested by: {requestedByName} {requestedByEmail}
Change - requested at: {requestedAt}
Change - comment: {comment}
{accessReviewInfo}
Change - reference: {changeUrl}
```

The table below provides additional information about each variable:

<table data-full-width="true"><thead><tr><th>Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>{sourceName}</code></td><td>Name of the source to which the change request applies</td></tr><tr><td><code>{operationInfo}</code></td><td>Additional details about the requested operation</td></tr><tr><td><code>{requestedByName}</code></td><td>Name of the user that requested the change</td></tr><tr><td><code>{requestedByEmail}</code></td><td>Parenthesised email address of the user that requested the change; omitted if not applicable</td></tr><tr><td><code>{requestedAt}</code></td><td>Submission timestamp of the change request</td></tr><tr><td><code>{comment}</code></td><td>Generic comment for the change request</td></tr><tr><td><code>{accessReviewInfo}</code></td><td>Additional details about the change request's associated access review; omitted if not applicable</td></tr><tr><td><code>{changeUrl}</code></td><td>Reference URL for the change request</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elimity.com/reference-manual/v3.41.0/advanced-topics/itsm-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
